//	Zinc Application Framework - W_DSP.CPP
//	COPYRIGHT (C) 1990-1999.  All Rights Reserved.
//	Zinc Software Incorporated.  Pleasant Grove, Utah  USA

#include <z_dsp.hpp>

ZafError ZafDisplay::InitializeOSBitmap(ZafBitmapStruct &bitmap)
{
	bitmap.handle = 0;
	bitmap.mask = 0;
	return (ZAF_ERROR_NONE);
}

ZafError ZafDisplay::ResetOSBitmap(ZafBitmapStruct &bitmap, const ZafBitmapStruct &copy)
{
	bitmap.handle = copy.handle;
	bitmap.mask = copy.mask;
	return (ZAF_ERROR_NONE);
}

ZafError ZafDisplay::InitializeOSIcon(ZafIconStruct &icon)
{
	icon.handle = 0;
	return (ZAF_ERROR_NONE);
}

ZafError ZafDisplay::ResetOSIcon(ZafIconStruct &icon, const ZafIconStruct &copy)
{
	icon.handle = copy.handle;
	return (ZAF_ERROR_NONE);
}

//??? Not implemented yet.
ZafError ZafDisplay::InitializeOSMouse(ZafMouseStruct &)
{
	return (ZAF_ERROR_NONE);
}

//??? Not implemented yet.
ZafError ZafDisplay::ResetOSMouse(ZafMouseStruct &, const ZafMouseStruct &)
{
	return (ZAF_ERROR_NONE);
}
